## xdg-desktop-portal-kde 6.5.1

=== autotests/CMakeLists.txt ===
ecm_add_tests(
    xdgshortcuttest.cpp

    LINK_LIBRARIES Qt::Test Qt::Gui
)
target_sources(xdgshortcuttest PRIVATE ${CMAKE_SOURCE_DIR}/src/xdgshortcut.cpp ${CMAKE_SOURCE_DIR}/src/xdgshortcut.h)
target_link_libraries(xdgshortcuttest Qt::GuiPrivate)

add_test(
    NAME colorschemetest
    COMMAND python3 ${CMAKE_CURRENT_SOURCE_DIR}/colorschemetest.py
)
set_tests_properties(colorschemetest PROPERTIES ENVIRONMENT "CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

ecm_add_test(inputcapturebarriertest.cpp ${CMAKE_SOURCE_DIR}/src/inputcapturebarrier.cpp TEST_NAME inputcapturebarriertest LINK_LIBRARIES Qt::Test Qt::Gui)

=== data/CMakeLists.txt ===
configure_file(org.freedesktop.impl.portal.desktop.kde.desktop.in org.freedesktop.impl.portal.desktop.kde.desktop @ONLY)
configure_file(org.freedesktop.impl.portal.desktop.kde.cmake.in org.freedesktop.impl.portal.desktop.kde.service @ONLY)

install(FILES kde.portal DESTINATION ${KDE_INSTALL_DATADIR}/xdg-desktop-portal/portals)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.desktop DESTINATION ${KDE_INSTALL_APPDIR})

ecm_install_configured_files(INPUT plasma-xdg-desktop-portal-kde.service.in @ONLY
            DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:15:21 +0100

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kwayland-dev (>= 4:6.5.1~),
               libcups2-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libwayland-dev (>= 1.15~),
               plasma-wayland-protocols (>= 1.7.0~),
               python3-gi <!nocheck>,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               wayland-protocols (>= 1.25~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git

Package: xdg-desktop-portal-kde
Architecture: any
Multi-Arch: foreign
Depends: kio-fuse,
         plasma-workspace,
         qml6-module-org-kde-iconthemes,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: xdg-desktop-portal-backend,
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 6.5.1+p24.04+vstable+git20251029.0802

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(CMAKE_C_STANDARD 99)

set(PROJECT_VERSION "6.5.2")

project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.5.1")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.10.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# set KDE specific information #################

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMConfiguredInstall)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMFindQmlModule)
include(ECMDeprecationSettings)
include(FeatureSummary)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    DBus
    PrintSupport
    QuickWidgets
    Widgets
    WaylandClient
    Quick
    QuickControls2
    Qml
    Test
)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    find_package(Qt6PrintSupportPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    CoreAddons
    Config
    I18n
    GuiAddons
    GlobalAccel
    KIO
    Kirigami
    Notifications
    Service
    WidgetsAddons
    WindowSystem
    IconThemes
    StatusNotifierItem
    Crash
)

find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)

ecm_find_qmlmodule(org.kde.iconthemes 1.0)
ecm_find_qmlmodule(org.kde.plasma.workspace.dialogs 1.0)
find_package(Wayland 1.15 REQUIRED COMPONENTS Client)
find_package(PlasmaWaylandProtocols 1.7.0 REQUIRED)

find_package(WaylandProtocols 1.25)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)

find_package(KIOFuse)
set_package_properties(KIOFuse PROPERTIES
    URL https://commits.kde.org/system/kio-fuse
    TYPE RUNTIME
    PURPOSE "Automatic mounting of remote URLs")

pkg_check_modules(XKB IMPORTED_TARGET xkbcommon REQUIRED)
add_feature_info(XKB XKB_FOUND "Required for converting keysyms into keycodes")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX XDPK
    VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h)

ecm_set_disabled_deprecation_versions(QT 5.15.0
    KF 6.4.0
)

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(autotests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.1+p24.04+vstable+git20251029.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:02:12 +0000

xdg-desktop-portal-kde (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:09:00 +0000

## xdg-desktop-portal-kde 6.5.1+p24.04+vstable+git20251031.0931

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.1+p24.04+vstable+git20251031.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:31:44 +0000

## xdg-desktop-portal-kde 6.5.2

=== src/kirigami-filepicker/CMakeLists.txt ===
set(filepicker_lib_SRCS
    api/mobilefiledialog.cpp
    api/mobilefiledialog.h
    declarative/dirmodel.cpp
    declarative/dirmodel.h
    declarative/dirmodelutils.cpp
    declarative/dirmodelutils.h
    declarative/filechooserqmlcallback.cpp
    declarative/filechooserqmlcallback.h
    declarative/fileplacesmodel.cpp
    declarative/fileplacesmodel.h
    declarative/filepicker.qrc
)

ecm_qt_declare_logging_category(filepicker_lib_SRCS
    IDENTIFIER "KirigamiFilepicker"
    CATEGORY_NAME "xdp-kde-file-chooser"
    HEADER mobilefiledialog_debug.h)

add_library(KirigamiFilepicker STATIC ${filepicker_lib_SRCS})
set_property(TARGET KirigamiFilepicker PROPERTY POSITION_INDEPENDENT_CODE ON)
target_include_directories(KirigamiFilepicker PRIVATE declarative)
target_link_libraries(KirigamiFilepicker
    Qt::Quick
    Qt::Qml
    KF6::I18n
    KF6::KIOCore
    KF6::KIOFileWidgets
)
target_include_directories(KirigamiFilepicker PUBLIC api)

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.1~),
+               kwayland-dev (>= 4:6.5.2~),
                libcups2-dev,
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

## xdg-desktop-portal-kde 6.5.3

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.3-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Pass -DCMAKE_DISABLE_FIND_PACKAGE_KIOFuse=TRUE to disable the search of
    kio-fuse at build time: the search is done by querying the current session
    D-Bus bus, which does not work as there is no bus running; kio-fuse is
    anyway a runtime dependency.
  * Explicitly add the libxkbcommon-dev build dependency.
  * Run the tests without relying on the D-Bus X11 autolaunch:
    - run dh_auto_test using dbus-run-session, so there is already a bus
      available
    - switch the dbus-x11 build dependency to dbus-daemon

 -- Pino Toscano <pino@debian.org>  Tue, 25 Nov 2025 19:13:57 +0100

xdg-desktop-portal-kde (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
+               dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.2~),
+               kwayland-dev (>= 4:6.5.3~),
                libcups2-dev,
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
@@ -29,6 +29,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libwayland-dev (>= 1.15~),
+               libxkbcommon-dev,
                plasma-wayland-protocols (>= 1.7.0~),
                python3-gi <!nocheck>,
                qt6-base-dev (>= 6.9.0~),

## xdg-desktop-portal-kde 6.5.3+p24.04+vunstable+git20251209.0510

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.80")
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.10.0")
@@ -72,7 +72,6 @@
 find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
 
 ecm_find_qmlmodule(org.kde.iconthemes 1.0)
-ecm_find_qmlmodule(org.kde.plasma.workspace.dialogs 1.0)
 find_package(Wayland 1.15 REQUIRED COMPONENTS Client)
 find_package(PlasmaWaylandProtocols 1.7.0 REQUIRED)

## xdg-desktop-portal-kde 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.10.0")
@@ -72,6 +72,7 @@
 find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
 
 ecm_find_qmlmodule(org.kde.iconthemes 1.0)
+ecm_find_qmlmodule(org.kde.plasma.workspace.dialogs 1.0)
 find_package(Wayland 1.15 REQUIRED COMPONENTS Client)
 find_package(PlasmaWaylandProtocols 1.7.0 REQUIRED)

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:35 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.3~),
+               kwayland-dev (>= 4:6.5.4~),
                libcups2-dev,
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
	  -DCMAKE_DISABLE_FIND_PACKAGE_KIOFuse=TRUE

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test -Skf6

## xdg-desktop-portal-kde 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.10.0")

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:10:46 +0000

xdg-desktop-portal-kde (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:58 +0000

xdg-desktop-portal-kde (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:11:06 +0000

xdg-desktop-portal-kde (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:15:42 +0000

xdg-desktop-portal-kde (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:50:02 +0000

xdg-desktop-portal-kde (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: xdg-desktop-portal-kde
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.4~),
+               kwayland-dev (>= 4:6.5.5~),
                libcups2-dev,
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
@@ -29,26 +29,21 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libwayland-dev (>= 1.15~),
-               libxkbcommon-dev,
                plasma-wayland-protocols (>= 1.7.0~),
-               python3-gi <!nocheck>,
                qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev,
                qt6-declarative-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
                wayland-protocols (>= 1.25~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
+Rules-Requires-Root: no
 
 Package: xdg-desktop-portal-kde
 Architecture: any
 Multi-Arch: foreign
 Depends: kio-fuse,
-         plasma-workspace,
          qml6-module-org-kde-iconthemes,
          xdg-desktop-portal,
          ${misc:Depends},

## xdg-desktop-portal-kde 6.5.5+p24.04+vstable+git20260205.0441

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.5+p24.04+vstable+git20260205.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:41:13 +0000

xdg-desktop-portal-kde (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:44 +1000

xdg-desktop-portal-kde (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:40 +1000

xdg-desktop-portal-kde (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:20 +1000

xdg-desktop-portal-kde (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:23 +1000

## xdg-desktop-portal-kde 6.5.5+p24.04+vstable+git20260209.1245

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.5+p24.04+vstable+git20260209.1245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 12:45:03 +0000

## xdg-desktop-portal-kde 6.5.5+p24.04+vunstable+git20260209.1314

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.10.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -72,7 +72,6 @@
 find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
 
 ecm_find_qmlmodule(org.kde.iconthemes 1.0)
-ecm_find_qmlmodule(org.kde.plasma.workspace.dialogs 1.0)
 find_package(Wayland 1.15 REQUIRED COMPONENTS Client)
 find_package(PlasmaWaylandProtocols 1.7.0 REQUIRED)

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.5+p24.04+vunstable+git20260209.1314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 13:14:42 +0000

## xdg-desktop-portal-kde 6.6.1

=== debian/changelog ===
xdg-desktop-portal-kde (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:18:32 +0000

xdg-desktop-portal-kde (6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 16:00:21 +0000

xdg-desktop-portal-kde (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:21:07 +0000

=== debian/control ===
--- 
+++ 
@@ -10,29 +10,29 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.5~),
+               kwayland-dev (>= 4:6.6.1~),
                libcups2-dev,
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6globalaccel-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6globalaccel-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6statusnotifieritem-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                libwayland-dev (>= 1.15~),
                plasma-wayland-protocols (>= 1.7.0~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-wayland-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-wayland-dev (>= 6.10.0~),
                wayland-protocols (>= 1.25~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde

## xdg-desktop-portal-kde 6.6.2

=== debian/changelog ===
xdg-desktop-portal-kde (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:26:10 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.22.0~),
                gettext,
-               kwayland-dev (>= 4:6.6.1~),
+               kwayland-dev (>= 4:6.6.2~),
                libcups2-dev,
                libkf6config-dev (>= 6.22.0~),
                libkf6coreaddons-dev (>= 6.22.0~),
